// Utilisation d'un champ statique

class Appareil {

    private static enroute:number = 0;
    marche:boolean;

    constructor() {
        this.marche = false;
    }

    activer():void {
        this.marche = true;
        Appareil.enroute++;
    }

    arreter():void {
        this.marche = false;
        Appareil.enroute--;
    }

    public static tableauDeBord() {
        console.log( `Il y a ${Appareil.enroute} appareils en marche` );
    }

}

[new Appareil(),new Appareil(),new Appareil()].forEach(
    (appareil) => appareil.activer );

Appareil.tableauDeBord();

